Page MenuHomePhabricator

ULSCompactLinksEnableAnon config is not working
Closed, DeclinedPublic

Description

Compact Language Links was enabled by default despite of ULSCompactLinksEnableAnon was set 'false' at https://git.wikimedia.org/blob/operations%2Fmediawiki-config.git/master/wmf-config%2FInitialiseSettings.php#L12647

Details

Related Gerrit Patches:
mediawiki/extensions/UniversalLanguageSelector : masterFix ULSCompactLinksEnableAnon configuration

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 21 2016, 4:37 PM

Change 295451 had a related patch set uploaded (by KartikMistry):
Fix ULSCompactLinksEnableAnon

https://gerrit.wikimedia.org/r/295451

KartikMistry triaged this task as Medium priority.
KartikMistry moved this task from Backlog to In Review on the Language-Q4-2016-Sprint 5 board.

Why would we ever disable compact links for logged out users but not logged in?

Change 295451 merged by jenkins-bot:
Fix ULSCompactLinksEnableAnon configuration

https://gerrit.wikimedia.org/r/295451

Why would we ever disable compact links for logged out users but not logged in?

When we enable compact links for logged in users alone.

Nikerabbit closed this task as Declined.Jun 23 2016, 12:44 PM

Expected behavior is that $wgULSCompactLinksEnableAnon = false; does nothing.

Amire80 moved this task from Backlog to Other on the ULS-CompactLinks board.Nov 3 2017, 8:25 AM